aura_env.interruptTime = 0
aura_env.interruptCD = 24
aura_env.peopleList = {}
aura_env.currentInterrupt = 1
local playerClass = UnitClass("player")
if playerClass == "Hunter" then
	aura_env.classInterrupt = "Counter Shot"
elseif playerClass == "Mage" then
	aura_env.classInterrupt = "Counterspell"
elseif playerClass == "Warlock" then
	aura.classInterrupt = "Spell Lock"
end
aura_env.messages = {
	["Interrupted"] = 9461,
	["Cannot Interrupt"] = 9462,
	["Initialized"] = 9451,
	["Added to interrupt list"] = 9452,
	["Cycle Interrupt DEBUG"] = 9551,
}
aura_env.encode = function(msg)
	local date = date()
	local localtime = date:match("%d%d%/%d%d%/%d%d%s(%d%d%p%d%d%p%d%d)") --15:37:43
	local hr = localtime:match("(%d%d)")
	local min = localtime:match("%d%d%p(%d%d)")

	local retmsg = msg - (hr * min)
	retmsg = tostring(retmsg)
	return retmsg
end
aura_env.decode = function(msg)
	local date = date()
	local localtime = date:match("%d%d%/%d%d%/%d%d%s(%d%d%p%d%d%p%d%d)") --15:37:43
	local hr = localtime:match("(%d%d)")
	local min = localtime:match("%d%d%p(%d%d)")

	tonumber(msg)
	local retint = msg + (hr * min)
	return retint
end
